<?php
// $Id: modinfo.php,v 1.1 2003/10/23 110:30:00 hal_u1 Exp $
// Module Info

define('_MI_GALLERY_BNAME1', '新着イメージ');
define('_MI_GALLERY_BNAME2', "ランダムイメージ");
define('_MI_GALLERY_PNMDIR', 'NetPBMのパス');
define('_MI_GALLERY_PNMDIRDSC', 'システム上のNetPBMがあるディレクトリを指定します。NetPBMをダウンロードした後、ファイルに実行権限を与えるのを忘れないで下さい。');
define('_MI_GALLERY_IMPATH', 'ImageMagickのパス');
define('_MI_GALLERY_IMPATHDSC', 'システム上のImageMagickがあるディレクトリを指定します。');
define('_MI_GALLERY_GRPHCS', '使用するグラフィックツール');
define('_MI_GALLERY_GRPHCSDSC', 'ギャラリーで使用したいグラフィックツールを指定します。システムにインストールされたNetPBMかImageMagickが必要です。上記設定を参照して下さい');
define('_MI_GALLERY_SHOWTREE', 'アルバムツリーを表示する');
define('_MI_GALLERY_SHOWTREEDSC', 'はいに設定するとギャラリーのトップで、全てのサブアルバムの完全なリストが表示されます。特定のサブアルバムに簡単にアクセスできるようになります。（そのかわりギャラリーのトップページが非常に雑然としたものになってしまうかもしれません。）初期値はいいえです。');
define('_MI_GALLERY_COLS', 'デフォルト列数');
define('_MI_GALLERY_COLSDSC', 'アルバム内のデフォルトの列数を指定します');
define('_MI_GALLERY_ROWS', 'デフォルト段数');
define('_MI_GALLERY_ROWSDSC', 'アルバム内のデフォルトの段数を指定します');
define('_MI_GALLERY_HLSIZE', 'ハイライトサイズ');
define('_MI_GALLERY_HLSIZEDSC', 'ギャラリーページで表示されるサムネイル（ハイライトイメージ）のサイズをピクセルで指定します');
define('_MI_GALLERY_THMBSIZE', 'サムネイルサイズ');
define('_MI_GALLERY_THMBSIZEDSC', 'アルバムでのサムネイルのデフォルトサイズをピクセルで指定します');
define('_MI_GALLERY_RESIZE', 'リサイズされたイメージサイズ');
define('_MI_GALLERY_RESIZEDSC', '大きなイメージがアルバムに追加された際、自動的にこのサイズで中間イメージが生成されます');
define('_MI_GALLERY_FITWIN', 'ウィンドウに合わせる');
define('_MI_GALLERY_FITWINDSC', '中間イメージを持たないフォトを閲覧する際、ギャラリーはJavaScriptを用いて自動的に閲覧者のブラウザのウィンドウに合うようにリサイズします。（本機能はXOOPSでは正常に動作しないかもしれません）');
define('_MI_GALLERY_FULL', '閲覧者へのイメージサイズの選択');
define('_MI_GALLERY_FULLDSC', '閲覧者に中間イメージの代わりに全部フルサイズのイメージを見るかどうか選択させます。本設定は閲覧者のセッションが続く限り有効です');
define('_MI_GALLERY_PRINT', '印刷サービス');
define('_MI_GALLERY_PRINTDSC', '閲覧者にアルバムから直接写真を印刷できるようにします。shutterflyを選択すればギャラリーは（アメリカで4x6判は通常49セント）写真一枚あたり追加で2セント課金し、ギャラリープロジェクトに1.8セント返ってきます。本フリーウェアの開発に役立たれます');
define('_MI_GALLERY_RETURN', 'ギャラリーリンク');
define('_MI_GALLERY_RETURNDSC', 'アルバム内にギャラリーのトップページへのリンクを表示しますか？　本設定をいいえにすると閲覧者はアルバムの外へ出られなくなります。ウェブサイト内にアルバムを設置して、閲覧者がギャラリーの他のアルバムを簡単には見られないようにしたい場合などは、いいえに設定して下さい');
define('_MI_GALLERY_OWNER', '所有者の表示');
define('_MI_GALLERY_OWNERDSC', 'ギャラリーのトップページにアルバムの所有者を表示しますか？');
define('_MI_GALLERY_PERPAGE', '１ページあたりのアルバム数');
define('_MI_GALLERY_PERPAGEDSC', 'ギャラリー１ページにいくつのアルバムを表示しますか？');
define('_MI_GALLERY_SEARCH', '検索');
define('_MI_GALLERY_SEARCHDSC', 'ギャラリーのメインページに検索を表示しますか');
define('_MI_GALLERY_FILENAME', '名前の保護');
define('_MI_GALLERY_FILENAMEDSC', 'ギャラリーにイメージをアップロードした際にオリジナルのファイル名を保護しますか？　いいえを選んだ場合、アップロードされたフォトやムービーに新しい名前が割り当てられます');
define('_MI_GALLERY_CLICKS', 'クリックカウント');
define('_MI_GALLERY_CLICKSDSC', 'アルバムでのクリック数を表示しますか？');
define('_MI_GALLERY_QUALITY', 'JPEG品質');
define('_MI_GALLERY_QUALITYDSC', 'JPEGファイルはサイズと品質のどちらかです。ギャラリーではJPEGイメージのサイズを変更したり回転したりサムネイルを作成する際にJPEGの品質を管理できます。低品質なイメージより高品質なイメージはサイズが大きくなります。しかしながら多くの場合、品質を高めてファイルサイズが増加しても明らかなイメージの改善が認められない境界があります。サムネイルを作成したりサイズを変更した際にオリジナルより大きくなってしまって好ましくない場合には設定値を下げてみてください。本設定値は設定後に操作したイメージのみ適用になります。');
define('_MI_GALLERY_TIME', '制限時間');
define('_MI_GALLERY_TIMEDSC', '一つの操作でかかる最大時間を秒で指定します。最大実行時間を超過したとのエラーメッセージが出た場合には設定値を大きくして下さい。設定値を大きくしすぎると何もしないでプロセスが長時間止まってしまうかもしれません。初期値の30が推奨値です。');
define('_MI_GALLERY_DEBUG', 'デバッグモード');
define('_MI_GALLERY_DEBUGDSC', '問題解決のためにデバッグモードにしますか？');
define('_MI_GALLERY_FLOCK', 'flock()関数を使いますか？');
define('_MI_GALLERY_FLOCKDSC', 'データ破損を防止するためギャラリーではflock()関数を使用します。全ての環境で使用できるわけではないので、ロックできないようなエラーメッセージが出たらいいえに設定して下さい。');
define('_MI_GALLERY_CLICK', '標準でクリックカウントを表示しますか？');
define('_MI_GALLERY_CLICKDSC', 'アルバムでのクリック数を表示しますか？');
define('_MI_GALLERY_RAND_DIR', "ランダムイメージブロック対象ディレクトリ");
define('_MI_GALLERY_RAND_DIR_DESC', "指定したアルバムディレクトリから*.thumb.*に合致するファイルを全てランダムイメージブロックは読み込みます。アルバムディレクトリのトップもしくはサムネイルを引き出したい下層ディレクトリを指定して下さい。(例： /modules/xoopsgallery/cache/albums)");
define('_MI_GALLERY_EXIFPATH', 'jheadのパス (オプション)');
define('_MI_GALLERY_EXIFPATHDSC', "デジタルカメラで使われているJPEGのヘッダ情報EXIFから情報を取り出すユーティリティJHEADの場所を指定します。プログラムをフルパスで記述して下さい。<br />（例Linux: /usr/bin/jhead  Windows: c:\jhead\jhead.exe）");
define('_MI_GALLERY_EXIFCACHE', 'EXIFデータをキャッシュしますか？');
define('_MI_GALLERY_EXIFCACHEDSC', 'XoopsGalleryにEXIFデータをキャッシュさせますか？　データを検索する時間は速くなりますが、アルバムファイルが大きくなるので、大きなアルバムの場合、開くのに時間がかかるようになります。');

// Names of admin menu items

define("_MI_GALLERY_ADMIN_CONF","ギャラリー管理");
define("_MI_GALLERY_ADMIN_PREFS","一般設定");
define("_MI_GALLERY_ADMIN_PREFSDESC","ギャラリーの一般設定を行います");
define("_MI_GALLERY_ADMIN_CHECKNETPBM","NetPBMのチェック");
define("_MI_GALLERY_ADMIN_CHECKNETPBMDESC","パス設定のチェックを行いNetPBMのインストールのチェックを行います");
define("_MI_GALLERY_ADMIN_CHECKIMAGICK","ImageMagickのチェック");
define("_MI_GALLERY_ADMIN_CHECKIMAGICKDESC","パス設定のチェックを行いImageMagickのインストールのチェックを行います");
define("_MI_GALLERY_ADMIN_CHECKORPHANS","ギャラリーのレコードのチェック");
define("_MI_GALLERY_ADMIN_ORPHANDESC","データの整合性のチェックをします。ギャラリーのコメントレコードでのエキストラパラメータに生じる問題を訂正します。{prefix}_xoopsgallery_imageテーブルで一致するファイルがない全てのレコードを削除します。フォト追加を失敗した時に孤立したレコードが残ってしまう場合があります。操作を失敗して何かしら部分的に保存されてしまったかもしれない時に本操作を行って下さい。最終確認を済ませない限りデータの変更は行われません。注意：大きなギャラリーの場合非常に時間がかかります。");
?>